@echo off
rem - Make sure your system is set up correctly ! (also see VIRTUAL.BAT)
rem -
rem   Be sure CONFIG.SYS has at least the following:
rem
rem      HIMEM.SYS 
rem      FILES=20 (minimum)  FILES=40 recommended
rem      -NO- QDPMI (QEMM only)
rem
rem   You will get Filexxx NOT FOUND messages if FILES is too low a value!
rem -
rem   For Windows, you need WINDPMI.386 in SYSTEM.INI, see README.DOC
rem
rem   --- Use UNIVBE if your video comes up as not supported ---

rem   There is NO .INI file, type DEEP to start!
rem - This batch file is REQUIRED to test levels (registered)
rem - See README.DOC and online help for virtual memory information
rem - Delete or comment (rem) IF EXIST, VIRTUAL.BAT, SET for no swap file

IF EXIST DEEP.SWP goto :gotswap    // is there a swap file?

call VIRTUAL.BAT                   //  if not allocate a swap file

:gotswap
SET DPMIMEM=SWAPFILE DEEP.SWP

DEEP32 -mustexist %1 %2 %3 %4 %5 %6 %7 %8 %9 
:checklevel
if errorlevel 166 goto exit
if not errorlevel 101 goto abort
if errorlevel 101 call DEEPPLAY.BAT
@echo off
del  DEEPPLAY.BAT
DEEP32 -mustexist
goto checklevel
:abort
echo DeeP aborted
pause
rem  next SET reset is required for some developers
:exit       
SET DPMIMEM=
echo.
